Package: org.gradle.nativeplatform.toolchain

## [Java] Interface VisualCpp

- org.gradle.nativeplatform.toolchain.VisualCpp

- All Superinterfaces:
    ToolChain, NativeToolChain, Named

  The Visual C++ tool chain.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `eachPlatform(Action<? super VisualCppPlatformToolChain> action)` Adds an action that can fine-tune the tool configuration for each platform supported by this tool chain.
    `File` | `getInstallDir()` The directory where Visual Studio or Visual C++ is installed.
    `File` | `getWindowsSdkDir()` The directory where Windows SDK is installed.
    `void` | `setInstallDir(Object installDir)` The directory where Visual Studio or Visual C++ is installed.
    `void` | `setWindowsSdkDir(Object installDir)` The directory where Windows SDK is installed.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ToolChain` | `getDisplayName`
    `interface Named` | `getName`

- - ### Method Detail

    - #### public void eachPlatform(Action<? super VisualCppPlatformToolChain> action)

      Adds an action that can fine-tune the tool configuration for each platform supported by this tool chain.

    - #### public File getInstallDir()

      The directory where Visual Studio or Visual C++ is installed.

    - #### public File getWindowsSdkDir()

      The directory where Windows SDK is installed.

    - #### public void setInstallDir(Object installDir)

      The directory where Visual Studio or Visual C++ is installed.

    - #### public void setWindowsSdkDir(Object installDir)

      The directory where Windows SDK is installed.